<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>wims: D:/web/serveur/dokeos/acces_wims/config.inc.php File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="examples.html"><span>Examples</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>File&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>D:/web/serveur/dokeos/acces_wims/config.inc.php File Reference</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Variables</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="config_8inc_8php.html#ab8a6a0434f957e1421291aa6c846f321">$wims_cgi_url</a> = &quot;http://cluster.calcul.u-psud.fr/<a class="el" href="classwims.html">wims</a>/wims.cgi&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="config_8inc_8php.html#ac531301c55a8d8b6c7613597218ff482">$module</a> = &quot;adm/raw&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="config_8inc_8php.html#a3cb38aa8c28dc46ee8f0a98fefe8a3cc">$wims_url_simple</a> = &quot;http://cluster.calcul.u-psud.fr&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="config_8inc_8php.html#ad03651c18d6ac5c9ed03b6cb55622ba7">$ident_server</a> = &quot;dokeos&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="config_8inc_8php.html#aa5cbd4fde4094d2f8c219e3afa746b7a">$password_server</a> = &quot;D0k3o5P4Ss&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="config_8inc_8php.html#aec048ede09005bf6d1b182000f6e8844">$ident_type</a> = &quot;xmlformat&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="config_8inc_8php.html#a408fcac95a75d548b06755f2a133a308">$get_classes</a> = &quot;file&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="config_8inc_8php.html#a75fdf74801c905a00fbaf091f1a1b8b5">$get_classes_url</a> = &quot;http://cluster.calcul.u-psud.fr/<a class="el" href="classwims.html">wims</a>/&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="config_8inc_8php.html#aa9fce25567aff8fb53c0a99db8b6f907">$get_classes_file</a> = &quot;getclasses.xml&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="config_8inc_8php.html#a3954c426faf2b8249bd3167b3a26cb67">$session_name</a> = &quot;dk_sid&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="config_8inc_8php.html#a3a14c205f17a1b0ceff66ca03632da71">$account_method</a> = &quot;cas&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="config_8inc_8php.html#acfb5e8820df38219b6bb26d69ec8cb72">$account_login_field</a> = &quot;supannaliaslogin&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="config_8inc_8php.html#a63590e52f25d905e77270770c040c759">$account_session_field</a> = array(&quot;_user&quot;, &quot;mail&quot;)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="config_8inc_8php.html#afc625986c37018d6235b4f4d96546cfd">$account_cas_field</a> = array(&quot;phpCAS&quot;, &quot;user&quot;)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="config_8inc_8php.html#a1b4335e5c730594c6e6ad8a6ca2ef48d">$account_method_field</a> = &quot;uid&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="config_8inc_8php.html#a271eda6ba42870f2497b854d0b5c93aa">$account_dokeos_field</a> = &quot;mail&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="config_8inc_8php.html#aa02448f7c2cd94d86d7b206991f883ea">$ldap</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="config_8inc_8php.html#aba0b537e0a577734aea14f3d7c6afcb8">$ident_session</a> = session_id()</td></tr>
</table>
<hr/><h2>Variable Documentation</h2>
<a class="anchor" id="afc625986c37018d6235b4f4d96546cfd"></a><!-- doxytag: member="config.inc.php::$account_cas_field" ref="afc625986c37018d6235b4f4d96546cfd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">$account_cas_field = array(&quot;phpCAS&quot;, &quot;user&quot;)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a271eda6ba42870f2497b854d0b5c93aa"></a><!-- doxytag: member="config.inc.php::$account_dokeos_field" ref="a271eda6ba42870f2497b854d0b5c93aa" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">$account_dokeos_field = &quot;mail&quot;</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="acfb5e8820df38219b6bb26d69ec8cb72"></a><!-- doxytag: member="config.inc.php::$account_login_field" ref="acfb5e8820df38219b6bb26d69ec8cb72" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">$account_login_field = &quot;supannaliaslogin&quot;</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a3a14c205f17a1b0ceff66ca03632da71"></a><!-- doxytag: member="config.inc.php::$account_method" ref="a3a14c205f17a1b0ceff66ca03632da71" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">$account_method = &quot;cas&quot;</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>In this part, we will be able to set how to get login user from current <a class="el" href="classsession.html">session</a> to <a class="el" href="classwims.html">wims</a> </p>

</div>
</div>
<a class="anchor" id="a1b4335e5c730594c6e6ad8a6ca2ef48d"></a><!-- doxytag: member="config.inc.php::$account_method_field" ref="a1b4335e5c730594c6e6ad8a6ca2ef48d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">$account_method_field = &quot;uid&quot;</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a63590e52f25d905e77270770c040c759"></a><!-- doxytag: member="config.inc.php::$account_session_field" ref="a63590e52f25d905e77270770c040c759" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">$account_session_field = array(&quot;_user&quot;, &quot;mail&quot;)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a408fcac95a75d548b06755f2a133a308"></a><!-- doxytag: member="config.inc.php::$get_classes" ref="a408fcac95a75d548b06755f2a133a308" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">$get_classes = &quot;file&quot;</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aa9fce25567aff8fb53c0a99db8b6f907"></a><!-- doxytag: member="config.inc.php::$get_classes_file" ref="aa9fce25567aff8fb53c0a99db8b6f907" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">$get_classes_file = &quot;getclasses.xml&quot;</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a75fdf74801c905a00fbaf091f1a1b8b5"></a><!-- doxytag: member="config.inc.php::$get_classes_url" ref="a75fdf74801c905a00fbaf091f1a1b8b5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">$get_classes_url = &quot;http://cluster.calcul.u-psud.fr/<a class="el" href="classwims.html">wims</a>/&quot;</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ad03651c18d6ac5c9ed03b6cb55622ba7"></a><!-- doxytag: member="config.inc.php::$ident_server" ref="ad03651c18d6ac5c9ed03b6cb55622ba7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">$ident_server = &quot;dokeos&quot;</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aba0b537e0a577734aea14f3d7c6afcb8"></a><!-- doxytag: member="config.inc.php::$ident_session" ref="aba0b537e0a577734aea14f3d7c6afcb8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">$ident_session = session_id()</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aec048ede09005bf6d1b182000f6e8844"></a><!-- doxytag: member="config.inc.php::$ident_type" ref="aec048ede09005bf6d1b182000f6e8844" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">$ident_type = &quot;xmlformat&quot;</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aa02448f7c2cd94d86d7b206991f883ea"></a><!-- doxytag: member="config.inc.php::$ldap" ref="aa02448f7c2cd94d86d7b206991f883ea" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">$<a class="el" href="classldap.html">ldap</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<b>Initial value:</b><div class="fragment"><pre class="fragment">array(
  <span class="stringliteral">&quot;host&quot;</span> =&gt; <span class="stringliteral">&quot;ldap://adonis.u-psud.fr&quot;</span>,      
  <span class="stringliteral">&quot;port&quot;</span> =&gt; 389,
  <span class="stringliteral">&quot;basedn&quot;</span> =&gt; <span class="stringliteral">&quot;ou=people,dc=u-psud,dc=fr&quot;</span>,
  <span class="stringliteral">&quot;version&quot;</span> =&gt; 3
  )
</pre></div>
</div>
</div>
<a class="anchor" id="ac531301c55a8d8b6c7613597218ff482"></a><!-- doxytag: member="config.inc.php::$module" ref="ac531301c55a8d8b6c7613597218ff482" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">$module = &quot;adm/raw&quot;</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aa5cbd4fde4094d2f8c219e3afa746b7a"></a><!-- doxytag: member="config.inc.php::$password_server" ref="aa5cbd4fde4094d2f8c219e3afa746b7a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">$password_server = &quot;D0k3o5P4Ss&quot;</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a3954c426faf2b8249bd3167b3a26cb67"></a><!-- doxytag: member="config.inc.php::$session_name" ref="a3954c426faf2b8249bd3167b3a26cb67" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">$session_name = &quot;dk_sid&quot;</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ab8a6a0434f957e1421291aa6c846f321"></a><!-- doxytag: member="config.inc.php::$wims_cgi_url" ref="ab8a6a0434f957e1421291aa6c846f321" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">$wims_cgi_url = &quot;http://cluster.calcul.u-psud.fr/<a class="el" href="classwims.html">wims</a>/wims.cgi&quot;</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>config file </p>

</div>
</div>
<a class="anchor" id="a3cb38aa8c28dc46ee8f0a98fefe8a3cc"></a><!-- doxytag: member="config.inc.php::$wims_url_simple" ref="a3cb38aa8c28dc46ee8f0a98fefe8a3cc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">$wims_url_simple = &quot;http://cluster.calcul.u-psud.fr&quot;</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Thu Oct 8 11:33:55 2009 for wims by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
